### Function

# Gio CancellableSourceFunc

since: 2.28

#### Declaration

    gboolean
    (* GCancellableSourceFunc) (
      GCancellable* cancellable,
      gpointer data
    )

#### Description [src]

This is the function type of the callback used for the `GSource` returned by g_cancellable_source_new().

Available since: 2.28

#### Parameters

`cancellable`

  Type: `GCancellable`

  The `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Data passed in by the user.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

It should return `FALSE` if the source should be removed.